# Get

Launch stage: GA

`GET /api/2.0/mlflow/runs/get`

Gets the metadata, metrics, params, and tags for a run. In the case where multiple metrics with the same key are
 logged for a run, return only the value with the latest timestamp.

 If there are multiple values with the latest timestamp, return the maximum of these values.

API scopes: mlflow

## Query parameters

- `run_id` (string, optional)
  ID of the run to fetch. Must be provided.
- `run_uuid` (string, optional)
  [Deprecated, use `run_id` instead] ID of the run to fetch. This field will
   be removed in a future MLflow version.

## Returns

- `run` (object, optional)
  Run metadata (name, start time, etc) and data (metrics, params, and tags).
  - `info` (object, optional)
    Run metadata.
    - `run_id` (string, optional)
      Unique identifier for the run.
    - `run_uuid` (string, optional)
      [Deprecated, use run_id instead] Unique identifier for the run. This field will
       be removed in a future MLflow version.
    - `experiment_id` (string, optional)
      The experiment ID.
    - `run_name` (string, optional)
      The name of the run.
    - `user_id` (string, optional)
      User who initiated the run.
       This field is deprecated as of MLflow 1.0, and will be removed in a future
       MLflow release. Use 'mlflow.user' tag instead.
    - `status` (string, optional)
      Current status of the run.
      Possible values: `RUNNING`, `SCHEDULED`, `FINISHED`, `FAILED`, `KILLED`
    - `start_time` (int64, optional)
      Unix timestamp of when the run started in milliseconds.
    - `end_time` (int64, optional)
      Unix timestamp of when the run ended in milliseconds.
    - `artifact_uri` (string, optional)
      URI of the directory where artifacts should be uploaded.
       This can be a local path (starting with "/"), or a distributed file system (DFS)
       path, like ``s3://bucket/directory`` or ``dbfs:/my/directory``.
       If not set, the local ``./mlruns`` directory is  chosen.
    - `lifecycle_stage` (string, optional)
      Current life cycle stage of the experiment : OneOf("active", "deleted")
  - `data` (object, optional)
    Run data.
    - `metrics` (array of object, optional)
      Run metrics.
      - `key` (string, optional)
        The key identifying the metric.
      - `value` (double, optional)
        The value of the metric.
      - `timestamp` (int64, optional)
        The timestamp at which the metric was recorded.
      - `step` (int64, optional)
        The step at which the metric was logged.
        Default: `0`
      - `dataset_name` (string, optional)
        The name of the dataset associated with the metric.
         E.g. “my.uc.table@2” “nyc-taxi-dataset”, “fantastic-elk-3”
      - `dataset_digest` (string, optional)
        The dataset digest of the dataset associated with the metric,
         e.g. an md5 hash of the dataset that uniquely identifies it
         within datasets of the same name.
      - `model_id` (string, optional)
        The ID of the logged model or registered model version associated with
         the metric, if applicable.
      - `run_id` (string, optional)
        The ID of the run containing the metric.
    - `params` (array of object, optional)
      Run parameters.
      - `key` (string, optional)
        Key identifying this param.
      - `value` (string, optional)
        Value associated with this param.
    - `tags` (array of object, optional)
      Additional metadata key-value pairs.
      - `key` (string, optional)
        The tag key.
      - `value` (string, optional)
        The tag value.
  - `inputs` (object, optional)
    Run inputs.
    - `dataset_inputs` (array of object, optional)
      Run metrics.
      - `tags` (array of object, optional)
        A list of tags for the dataset input, e.g. a “context” tag with value “training”
      - `dataset` (object, optional)
        The dataset being used as a Run input.
    - `model_inputs` (array of object, optional)
      Model inputs to the Run.
      - `model_id` (string, optional)
        The unique identifier of the model.

## Response

```json
{
  "run": {
    "info": {},
    "data": {},
    "inputs": {}
  }
}
```

